.log-in {
    margin-top: 10vh;
    width: 350px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-bottom: 10em;
}

.log-in-errors {
    margin-bottom: 20px;
}

.log-in-header {
    margin-bottom: 2em;
}

.log-in-title {
    font-weight: 300;
    font-size: 2em;
    line-height: 1.3;
    margin-bottom: .7em;
}

.log-in-description {
    font-size: 1.2em;
    line-height: 1.3;
    font-weight: 500;
}

.log-in-body {

}


.log-in-form {
    margin-left: auto;
    margin-right: auto;
}

.log-in-form-fields {

}

.log-in-form-field {

}

.log-in-form-field + .log-in-form-field {
    margin-top: 1.2em;
}

.log-in-form-label {
    font-weight: 300;
    font-size: 1.2em;
    display: block;
    margin-bottom: .2em;
}

.log-in-form-input {
    display: block;
    width: 100%;
    height: 3em;
    padding: .4em .9em;
    border: 1px solid #aaa;
    color: black;
}

.log-in-form-submit {
    margin-top: 2em;
}

.log-in-form-submit button {
    display: block;
    width: 100%;
    background-color: blue;
    color: white;
    height: 3em;
    font-weight: 500;
    font-size: .93em;
}

.log-in-form-submit button[disabled] {
    filter: grayscale(50%) opacity(.5);
}


.log-in-external-options-divider {
    margin-top: 1.5em;
    margin-bottom: 1.5em;
}

.log-in-external-options-divider-label {
    font-weight: 300;
}

.log-in-lost-password {
    font-size: .87em;
    color: blue;
    padding-top: 1em;
    text-align: right;
}

.log-in-lost-password a {

}

.log-in-lost-password a:hover {
    text-decoration: underline;
}


.log-in-external {
    display: flex;
    flex-direction: column;
    row-gap: .35em;
}

.log-in-external-option {
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: .3em;
    cursor: pointer;
    text-decoration:    none;
    border-radius: 2px;
    border: 1px solid rgba(0, 0, 0, 0.3);
    height: 2.7em;
}


.log-in-option-email {

}

.log-in-option-email-link {
    font-weight: 500;
    color: blue;
}

.log-in-option-email-link:hover {
    text-decoration: underline;
}
